Booking API
Update a booking resource
Update a schedulable resource in the current workspace.
PATCH
/v1/booking/resources/{resourceId}Request
Path, query, and JSON body fields accepted by this operation.
resourceIdstring<uuid>requiredpathnamestringbodymin length 1max length 120status"active" | "inactive"bodyexpectedUpdatedAtstring<date-time>requiredbody
Response
Successful responses use Dawn's data envelope.
dataBookingResourcerequiredidstring<uuid>requiredworkspaceIdstring<uuid>requirednamestringrequiredmin length 1max length 120kind"person" | "site" | "room" | "equipment"requiredstatus"active" | "inactive"requiredpractitionerIdstring<uuid> | nullrequiredparentResourceIdstring<uuid> | nullrequiredscheduleIdstring<uuid> | nullrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
403Scheduling is disabled or a workspace member is required.404The booking resource could not be found.409The booking resource changed.422The booking resource update is invalid.503The booking resource could not be updated.
Last updated on